← Back to API Reference
/builder_shared_configs
Tag: builder_shared_configs
get
Parameters
| Name | In | Type | Format | Required | Description |
|---|---|---|---|---|---|
id | query | string | — | — | — |
sport | query | string | — | — | — |
product_slug | query | string | — | — | — |
config_data | query | string | — | — | — |
created_at | query | string | — | — | — |
created_by | query | string | — | — | — |
select | query | string | — | — | Filtering Columns |
order | query | string | — | — | Ordering |
Range | header | string | — | — | Limiting and Pagination |
Range-Unit | header | string | — | — | Limiting and Pagination |
offset | query | string | — | — | Limiting and Pagination |
limit | query | string | — | — | Limiting and Pagination |
Prefer | header | string | — | — | Preference |
Example
bash
curl "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/builder_shared_configs?select=*&limit=10" \
-H "apikey: YOUR_API_KEY" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"Responses
200OK
206Partial Content
post
Parameters
| Name | In | Type | Format | Required | Description |
|---|---|---|---|---|---|
builder_shared_configs | body | object | — | — | builder_shared_configs |
select | query | string | — | — | Filtering Columns |
Prefer | header | string | — | — | Preference |
Example
bash
curl -X POST "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/builder_shared_configs" \
-H "apikey: YOUR_API_KEY" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-H "Prefer: return=representation" \
-d '{
"sport": "example",
"product_slug": "example",
"config_data": {}
}'Responses
201Created
patch
Parameters
| Name | In | Type | Format | Required | Description |
|---|---|---|---|---|---|
id | query | string | — | — | — |
sport | query | string | — | — | — |
product_slug | query | string | — | — | — |
config_data | query | string | — | — | — |
created_at | query | string | — | — | — |
created_by | query | string | — | — | — |
builder_shared_configs | body | object | — | — | builder_shared_configs |
Prefer | header | string | — | — | Preference |
Example
bash
curl -X PATCH "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/builder_shared_configs?id=eq.YOUR_ID" \
-H "apikey: YOUR_API_KEY" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-H "Prefer: return=representation" \
-d '{"sport": "example"}'Responses
204No Content
delete
Parameters
| Name | In | Type | Format | Required | Description |
|---|---|---|---|---|---|
id | query | string | — | — | — |
sport | query | string | — | — | — |
product_slug | query | string | — | — | — |
config_data | query | string | — | — | — |
created_at | query | string | — | — | — |
created_by | query | string | — | — | — |
Prefer | header | string | — | — | Preference |
Example
bash
curl -X DELETE "https://szkofkgbqogzlbqtcrke.supabase.co/rest/v1/builder_shared_configs?id=eq.YOUR_ID" \
-H "apikey: YOUR_API_KEY" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"Responses
204No Content
Schema
| Column | Type | Format | Nullable | Default | Notes |
|---|---|---|---|---|---|
idPK | string | uuid | — | gen_random_uuid() | This is a Primary Key. |
sport | string | text | — | — | — |
product_slug | string | text | — | — | — |
config_data | object | jsonb | — | — | — |
created_at | string | timestamp with time zone | — | now() | — |
created_by | string | uuid | ✓ | — | — |